# osgGA::MatrixManipulator::CoordinateFrameCallback Class Reference

callback class to use to allow matrix manipulators to querry the application for the local coordinate frame. More...

Inheritance diagram for osgGA::MatrixManipulator::CoordinateFrameCallback:

[legend]
List of all members.

## Public Member Functions

virtual osg::CoordinateFrame | getCoordinateFrame (const osg::Vec3d &position) const =0

## Protected Member Functions

virtual | ~CoordinateFrameCallback ()

## Detailed Description

callback class to use to allow matrix manipulators to querry the application for the local coordinate frame.

## Constructor & Destructor Documentation

virtual osgGA::MatrixManipulator::CoordinateFrameCallback::~CoordinateFrameCallback | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual osg::CoordinateFrame osgGA::MatrixManipulator::CoordinateFrameCallback::getCoordinateFrame | ( | const osg::Vec3d & | position | ) | const`[pure virtual]`

The documentation for this class was generated from the following file:

- MatrixManipulator